curl --request GET \
--url 'https://api-sandbox.uqpaytech.com/api/v1/stocks/asset' \
--header "Content-Type: application/json" \
--header "x-auth-token: Bearer ${SANDBOX_TOKEN}"
{
"data": [
{
"deposit_enabled": true,
"withdraw_enabled": true,
"asset_id": "7453f146-b267-11f1-b4f4-0abd773ba497",
"symbol": "AAPLx",
"name": "Apple xStock",
"asset_type": "stock",
"status": "ACTIVE",
"can_buy": true,
"can_sell": true,
"unavailable_reason": "",
"reference_price": "334.85",
"price_currency": "USD",
"price_updated_at": "2026-09-21T01:30:00.000Z"
},
{
"deposit_enabled": true,
"withdraw_enabled": true,
"asset_id": "896fa067-c017-40f4-9b72-4dde9732566f",
"symbol": "ACNx",
"name": "Accenture xStock",
"asset_type": "stock",
"status": "ACTIVE",
"can_buy": true,
"can_sell": true,
"unavailable_reason": "",
"reference_price": "193.3",
"price_currency": "USD",
"price_updated_at": "2026-09-21T01:30:00.000Z"
},
{
"deposit_enabled": true,
"withdraw_enabled": true,
"asset_id": "54f913d6-eeb9-47c8-aa94-3d9fa1fd9304",
"symbol": "ADBEx",
"name": "Adobe xStock",
"asset_type": "stock",
"status": "ACTIVE",
"can_buy": true,
"can_sell": true,
"unavailable_reason": "",
"reference_price": "249.03",
"price_currency": "USD",
"price_updated_at": "2026-09-21T01:30:00.000Z"
},
{
"deposit_enabled": true,
"withdraw_enabled": true,
"asset_id": "7453edf6-b267-11f1-b4f4-0abd773ba497",
"symbol": "AMDx",
"name": "AMD xStock",
"asset_type": "stock",
"status": "ACTIVE",
"can_buy": true,
"can_sell": true,
"unavailable_reason": "",
"reference_price": "571.275",
"price_currency": "USD",
"price_updated_at": "2026-09-21T01:30:00.000Z"
},
{
"deposit_enabled": true,
"withdraw_enabled": true,
"asset_id": "7453f017-b267-11f1-b4f4-0abd773ba497",
"symbol": "AMZNx",
"name": "Amazon.com xStock",
"asset_type": "stock",
"status": "ACTIVE",
"can_buy": true,
"can_sell": true,
"unavailable_reason": "",
"reference_price": "255.205",
"price_currency": "USD",
"price_updated_at": "2026-09-21T01:30:00.000Z"
},
{
"deposit_enabled": true,
"withdraw_enabled": true,
"asset_id": "7453ef2b-b267-11f1-b4f4-0abd773ba497",
"symbol": "AVGOx",
"name": "Broadcom xStock",
"asset_type": "stock",
"status": "ACTIVE",
"can_buy": true,
"can_sell": true,
"unavailable_reason": "",
"reference_price": "361.13",
"price_currency": "USD",
"price_updated_at": "2026-09-21T01:30:00.000Z"
},
{
"deposit_enabled": true,
"withdraw_enabled": true,
"asset_id": "7453ef67-b267-11f1-b4f4-0abd773ba497",
"symbol": "COINx",
"name": "Coinbase xStock",
"asset_type": "stock",
"status": "ACTIVE",
"can_buy": true,
"can_sell": true,
"unavailable_reason": "",
"reference_price": "196.715",
"price_currency": "USD",
"price_updated_at": "2026-09-21T01:30:00.000Z"
},
{
"deposit_enabled": true,
"withdraw_enabled": true,
"asset_id": "322fe763-c069-4d11-be35-b9563f6e22c4",
"symbol": "CORZx",
"name": "Core Scientific xStock",
"asset_type": "stock",
"status": "ACTIVE",
"can_buy": true,
"can_sell": true,
"unavailable_reason": "",
"reference_price": "18.11",
"price_currency": "USD",
"price_updated_at": "2026-09-21T01:30:00.000Z"
},
{
"deposit_enabled": true,
"withdraw_enabled": true,
"asset_id": "7453f225-b267-11f1-b4f4-0abd773ba497",
"symbol": "CRMx",
"name": "Salesforce xStock",
"asset_type": "stock",
"status": "ACTIVE",
"can_buy": true,
"can_sell": true,
"unavailable_reason": "",
"reference_price": "237.695",
"price_currency": "USD",
"price_updated_at": "2026-09-21T01:30:00.000Z"
},
{
"deposit_enabled": true,
"withdraw_enabled": true,
"asset_id": "7453ee44-b267-11f1-b4f4-0abd773ba497",
"symbol": "GOOGLx",
"name": "Alphabet xStock",
"asset_type": "stock",
"status": "ACTIVE",
"can_buy": true,
"can_sell": true,
"unavailable_reason": "",
"reference_price": "351.2",
"price_currency": "USD",
"price_updated_at": "2026-09-21T01:30:00.000Z"
}
],
"total_items": 22,
"total_pages": 3
}
Stocks
List assets
List the assets visible to your account. Use the availability flags before requesting a quote.
GET
/
asset
curl --request GET \
--url 'https://api-sandbox.uqpaytech.com/api/v1/stocks/asset' \
--header "Content-Type: application/json" \
--header "x-auth-token: Bearer ${SANDBOX_TOKEN}"
{
"data": [
{
"deposit_enabled": true,
"withdraw_enabled": true,
"asset_id": "7453f146-b267-11f1-b4f4-0abd773ba497",
"symbol": "AAPLx",
"name": "Apple xStock",
"asset_type": "stock",
"status": "ACTIVE",
"can_buy": true,
"can_sell": true,
"unavailable_reason": "",
"reference_price": "334.85",
"price_currency": "USD",
"price_updated_at": "2026-09-21T01:30:00.000Z"
},
{
"deposit_enabled": true,
"withdraw_enabled": true,
"asset_id": "896fa067-c017-40f4-9b72-4dde9732566f",
"symbol": "ACNx",
"name": "Accenture xStock",
"asset_type": "stock",
"status": "ACTIVE",
"can_buy": true,
"can_sell": true,
"unavailable_reason": "",
"reference_price": "193.3",
"price_currency": "USD",
"price_updated_at": "2026-09-21T01:30:00.000Z"
},
{
"deposit_enabled": true,
"withdraw_enabled": true,
"asset_id": "54f913d6-eeb9-47c8-aa94-3d9fa1fd9304",
"symbol": "ADBEx",
"name": "Adobe xStock",
"asset_type": "stock",
"status": "ACTIVE",
"can_buy": true,
"can_sell": true,
"unavailable_reason": "",
"reference_price": "249.03",
"price_currency": "USD",
"price_updated_at": "2026-09-21T01:30:00.000Z"
},
{
"deposit_enabled": true,
"withdraw_enabled": true,
"asset_id": "7453edf6-b267-11f1-b4f4-0abd773ba497",
"symbol": "AMDx",
"name": "AMD xStock",
"asset_type": "stock",
"status": "ACTIVE",
"can_buy": true,
"can_sell": true,
"unavailable_reason": "",
"reference_price": "571.275",
"price_currency": "USD",
"price_updated_at": "2026-09-21T01:30:00.000Z"
},
{
"deposit_enabled": true,
"withdraw_enabled": true,
"asset_id": "7453f017-b267-11f1-b4f4-0abd773ba497",
"symbol": "AMZNx",
"name": "Amazon.com xStock",
"asset_type": "stock",
"status": "ACTIVE",
"can_buy": true,
"can_sell": true,
"unavailable_reason": "",
"reference_price": "255.205",
"price_currency": "USD",
"price_updated_at": "2026-09-21T01:30:00.000Z"
},
{
"deposit_enabled": true,
"withdraw_enabled": true,
"asset_id": "7453ef2b-b267-11f1-b4f4-0abd773ba497",
"symbol": "AVGOx",
"name": "Broadcom xStock",
"asset_type": "stock",
"status": "ACTIVE",
"can_buy": true,
"can_sell": true,
"unavailable_reason": "",
"reference_price": "361.13",
"price_currency": "USD",
"price_updated_at": "2026-09-21T01:30:00.000Z"
},
{
"deposit_enabled": true,
"withdraw_enabled": true,
"asset_id": "7453ef67-b267-11f1-b4f4-0abd773ba497",
"symbol": "COINx",
"name": "Coinbase xStock",
"asset_type": "stock",
"status": "ACTIVE",
"can_buy": true,
"can_sell": true,
"unavailable_reason": "",
"reference_price": "196.715",
"price_currency": "USD",
"price_updated_at": "2026-09-21T01:30:00.000Z"
},
{
"deposit_enabled": true,
"withdraw_enabled": true,
"asset_id": "322fe763-c069-4d11-be35-b9563f6e22c4",
"symbol": "CORZx",
"name": "Core Scientific xStock",
"asset_type": "stock",
"status": "ACTIVE",
"can_buy": true,
"can_sell": true,
"unavailable_reason": "",
"reference_price": "18.11",
"price_currency": "USD",
"price_updated_at": "2026-09-21T01:30:00.000Z"
},
{
"deposit_enabled": true,
"withdraw_enabled": true,
"asset_id": "7453f225-b267-11f1-b4f4-0abd773ba497",
"symbol": "CRMx",
"name": "Salesforce xStock",
"asset_type": "stock",
"status": "ACTIVE",
"can_buy": true,
"can_sell": true,
"unavailable_reason": "",
"reference_price": "237.695",
"price_currency": "USD",
"price_updated_at": "2026-09-21T01:30:00.000Z"
},
{
"deposit_enabled": true,
"withdraw_enabled": true,
"asset_id": "7453ee44-b267-11f1-b4f4-0abd773ba497",
"symbol": "GOOGLx",
"name": "Alphabet xStock",
"asset_type": "stock",
"status": "ACTIVE",
"can_buy": true,
"can_sell": true,
"unavailable_reason": "",
"reference_price": "351.2",
"price_currency": "USD",
"price_updated_at": "2026-09-21T01:30:00.000Z"
}
],
"total_items": 22,
"total_pages": 3
}
curl --request GET \
--url 'https://api-sandbox.uqpaytech.com/api/v1/stocks/asset' \
--header "Content-Type: application/json" \
--header "x-auth-token: Bearer ${SANDBOX_TOKEN}"
{
"data": [
{
"deposit_enabled": true,
"withdraw_enabled": true,
"asset_id": "7453f146-b267-11f1-b4f4-0abd773ba497",
"symbol": "AAPLx",
"name": "Apple xStock",
"asset_type": "stock",
"status": "ACTIVE",
"can_buy": true,
"can_sell": true,
"unavailable_reason": "",
"reference_price": "334.85",
"price_currency": "USD",
"price_updated_at": "2026-09-21T01:30:00.000Z"
},
{
"deposit_enabled": true,
"withdraw_enabled": true,
"asset_id": "896fa067-c017-40f4-9b72-4dde9732566f",
"symbol": "ACNx",
"name": "Accenture xStock",
"asset_type": "stock",
"status": "ACTIVE",
"can_buy": true,
"can_sell": true,
"unavailable_reason": "",
"reference_price": "193.3",
"price_currency": "USD",
"price_updated_at": "2026-09-21T01:30:00.000Z"
},
{
"deposit_enabled": true,
"withdraw_enabled": true,
"asset_id": "54f913d6-eeb9-47c8-aa94-3d9fa1fd9304",
"symbol": "ADBEx",
"name": "Adobe xStock",
"asset_type": "stock",
"status": "ACTIVE",
"can_buy": true,
"can_sell": true,
"unavailable_reason": "",
"reference_price": "249.03",
"price_currency": "USD",
"price_updated_at": "2026-09-21T01:30:00.000Z"
},
{
"deposit_enabled": true,
"withdraw_enabled": true,
"asset_id": "7453edf6-b267-11f1-b4f4-0abd773ba497",
"symbol": "AMDx",
"name": "AMD xStock",
"asset_type": "stock",
"status": "ACTIVE",
"can_buy": true,
"can_sell": true,
"unavailable_reason": "",
"reference_price": "571.275",
"price_currency": "USD",
"price_updated_at": "2026-09-21T01:30:00.000Z"
},
{
"deposit_enabled": true,
"withdraw_enabled": true,
"asset_id": "7453f017-b267-11f1-b4f4-0abd773ba497",
"symbol": "AMZNx",
"name": "Amazon.com xStock",
"asset_type": "stock",
"status": "ACTIVE",
"can_buy": true,
"can_sell": true,
"unavailable_reason": "",
"reference_price": "255.205",
"price_currency": "USD",
"price_updated_at": "2026-09-21T01:30:00.000Z"
},
{
"deposit_enabled": true,
"withdraw_enabled": true,
"asset_id": "7453ef2b-b267-11f1-b4f4-0abd773ba497",
"symbol": "AVGOx",
"name": "Broadcom xStock",
"asset_type": "stock",
"status": "ACTIVE",
"can_buy": true,
"can_sell": true,
"unavailable_reason": "",
"reference_price": "361.13",
"price_currency": "USD",
"price_updated_at": "2026-09-21T01:30:00.000Z"
},
{
"deposit_enabled": true,
"withdraw_enabled": true,
"asset_id": "7453ef67-b267-11f1-b4f4-0abd773ba497",
"symbol": "COINx",
"name": "Coinbase xStock",
"asset_type": "stock",
"status": "ACTIVE",
"can_buy": true,
"can_sell": true,
"unavailable_reason": "",
"reference_price": "196.715",
"price_currency": "USD",
"price_updated_at": "2026-09-21T01:30:00.000Z"
},
{
"deposit_enabled": true,
"withdraw_enabled": true,
"asset_id": "322fe763-c069-4d11-be35-b9563f6e22c4",
"symbol": "CORZx",
"name": "Core Scientific xStock",
"asset_type": "stock",
"status": "ACTIVE",
"can_buy": true,
"can_sell": true,
"unavailable_reason": "",
"reference_price": "18.11",
"price_currency": "USD",
"price_updated_at": "2026-09-21T01:30:00.000Z"
},
{
"deposit_enabled": true,
"withdraw_enabled": true,
"asset_id": "7453f225-b267-11f1-b4f4-0abd773ba497",
"symbol": "CRMx",
"name": "Salesforce xStock",
"asset_type": "stock",
"status": "ACTIVE",
"can_buy": true,
"can_sell": true,
"unavailable_reason": "",
"reference_price": "237.695",
"price_currency": "USD",
"price_updated_at": "2026-09-21T01:30:00.000Z"
},
{
"deposit_enabled": true,
"withdraw_enabled": true,
"asset_id": "7453ee44-b267-11f1-b4f4-0abd773ba497",
"symbol": "GOOGLx",
"name": "Alphabet xStock",
"asset_type": "stock",
"status": "ACTIVE",
"can_buy": true,
"can_sell": true,
"unavailable_reason": "",
"reference_price": "351.2",
"price_currency": "USD",
"price_updated_at": "2026-09-21T01:30:00.000Z"
}
],
"total_items": 22,
"total_pages": 3
}
Authorizations
The API token for login provided by UQPAY.
Query Parameters
The page number to retrieve.
Required range:
1 <= x <= 1000000The maximum number of items to return per page.
Required range:
1 <= x <= 100Filter by asset symbol.
Maximum string length:
32Response
Success
Items on this page. An empty array can indicate no matches or a page beyond the last result.
Show child attributes
Show child attributes
Number of result pages for the requested page size.
Required range:
x >= 0Example:
3
Number of matching items across all pages.
Required range:
x >= 0Example:
22

